{
  "manga": "One Piece",
  "chapter": 789,
  "url": "https://manhwaweb.com/leer/one-piece_1695365223767-789",
  "total_pages": 21,
  "downloaded_pages": 21,
  "failed_pages": 0,
  "download_date": "2026-02-04T14:32:44.379Z",
  "pages": [
    {
      "page": 1,
      "url": "https://imp9.pubadx.one/rec?f=36983&fv=65&g=FR&op=42010-354&p=354&t=1&tbg=1770215529&token=9b60c3af75&uuid=04022d714e03409d9a2e671361a63387&z=10578",
      "downloaded": true,
      "filename": "page_001.jpg",
      "size": null
    },
    {
      "page": 2,
      "url": "https://imagizer.imageshack.com/img923/4161/OI9B8o.jpg",
      "downloaded": true,
      "filename": "page_002.jpg",
      "size": 103724
    },
    {
      "page": 3,
      "url": "https://imagizer.imageshack.com/img924/7360/miTCP2.jpg",
      "downloaded": true,
      "filename": "page_003.jpg",
      "size": 204286
    },
    {
      "page": 4,
      "url": "https://imagizer.imageshack.com/img924/9112/4EvS6b.jpg",
      "downloaded": true,
      "filename": "page_004.jpg",
      "size": 271839
    },
    {
      "page": 5,
      "url": "https://imagizer.imageshack.com/img923/403/5cZJGe.jpg",
      "downloaded": true,
      "filename": "page_005.jpg",
      "size": 269065
    },
    {
      "page": 6,
      "url": "https://imagizer.imageshack.com/img924/7697/KRbfrl.jpg",
      "downloaded": true,
      "filename": "page_006.jpg",
      "size": 246430
    },
    {
      "page": 7,
      "url": "https://imagizer.imageshack.com/img922/4571/4H7CiQ.jpg",
      "downloaded": true,
      "filename": "page_007.jpg",
      "size": 259577
    },
    {
      "page": 8,
      "url": "https://imagizer.imageshack.com/img924/7256/5LOKZF.jpg",
      "downloaded": true,
      "filename": "page_008.jpg",
      "size": 272915
    },
    {
      "page": 9,
      "url": "https://imagizer.imageshack.com/img922/3140/9s1GjP.jpg",
      "downloaded": true,
      "filename": "page_009.jpg",
      "size": 265787
    },
    {
      "page": 10,
      "url": "https://imagizer.imageshack.com/img922/782/ZopfGN.jpg",
      "downloaded": true,
      "filename": "page_010.jpg",
      "size": 275880
    },
    {
      "page": 11,
      "url": "https://imagizer.imageshack.com/img922/2339/SgFrKy.jpg",
      "downloaded": true,
      "filename": "page_011.jpg",
      "size": 263367
    },
    {
      "page": 12,
      "url": "https://imagizer.imageshack.com/img922/6636/VLDiJl.jpg",
      "downloaded": true,
      "filename": "page_012.jpg",
      "size": 267766
    },
    {
      "page": 13,
      "url": "https://imagizer.imageshack.com/img923/3051/87c0Do.jpg",
      "downloaded": true,
      "filename": "page_013.jpg",
      "size": 279607
    },
    {
      "page": 14,
      "url": "https://imagizer.imageshack.com/img922/136/I4IiGb.jpg",
      "downloaded": true,
      "filename": "page_014.jpg",
      "size": 272437
    },
    {
      "page": 15,
      "url": "https://imagizer.imageshack.com/img923/9944/S0Fi4f.jpg",
      "downloaded": true,
      "filename": "page_015.jpg",
      "size": 259344
    },
    {
      "page": 16,
      "url": "https://imagizer.imageshack.com/img922/3079/iiOd7O.jpg",
      "downloaded": true,
      "filename": "page_016.jpg",
      "size": 257816
    },
    {
      "page": 17,
      "url": "https://imagizer.imageshack.com/img923/5177/jGM1md.jpg",
      "downloaded": true,
      "filename": "page_017.jpg",
      "size": 270528
    },
    {
      "page": 18,
      "url": "https://imagizer.imageshack.com/img922/658/hPpRt6.jpg",
      "downloaded": true,
      "filename": "page_018.jpg",
      "size": 253025
    },
    {
      "page": 19,
      "url": "https://imagizer.imageshack.com/img923/604/1xzBzy.jpg",
      "downloaded": true,
      "filename": "page_019.jpg",
      "size": 269090
    },
    {
      "page": 20,
      "url": "https://imagizer.imageshack.com/img924/7489/eMQAyb.jpg",
      "downloaded": true,
      "filename": "page_020.jpg",
      "size": 339632
    },
    {
      "page": 21,
      "url": "https://imp9.pubadx.one/rec?f=32416&fv=96&g=FR&op=30682-21&p=21&t=1&tbg=1770215529&token=9b60c3af75&uuid=6369fc43031c44559a89c16d61f62b49&z=10187",
      "downloaded": true,
      "filename": "page_021.jpg",
      "size": null
    }
  ]
}